Tag:
  stage: Tag
  image: "quay.io/pantheon-public/autotag:v1.3.8"
  rules:
    - if: $CI_COMMIT_TAG
      when: never
    - if: '$CI_COMMIT_BRANCH == "master" || $CI_COMMIT_BRANCH == "main"'
      when: on_success
    - when: never
  variables:
    GIT_STRATEGY: fetch
    GIT_DEPTH: 0
  before_script:
    - |
      git fetch --tags
      if [ $(git rev-parse --abbrev-ref HEAD) != $CI_COMMIT_BRANCH ]; then
        git branch --track $CI_COMMIT_BRANCH origin/$CI_COMMIT_BRANCH
      fi
    - apk add curl
  script:
    - TAG=$(/autotag -n -b $CI_COMMIT_BRANCH --scheme=conventional | grep '[0-9]' || echo '0.0.1')
    - |
      curl \
        --request POST \
        --header "PRIVATE-TOKEN: $TAGS_API_TOKEN" \
        --header "Content-Type: application/json" \
        -d "{\"tag_name\": \"$TAG\", \"ref\": \"$CI_COMMIT_SHA\"}" \
        "$CI_API_V4_URL/projects/$CI_PROJECT_ID/repository/tags"
